Index: /branches/TAM_V3_0/CONFIG/ORCA2_TAM/scripts/BB_make
===================================================================
--- /branches/TAM_V3_0/CONFIG/ORCA2_TAM/scripts/BB_make	(revision 1946)
+++ /branches/TAM_V3_0/CONFIG/ORCA2_TAM/scripts/BB_make	(revision 1947)
@@ -127,4 +127,5 @@
      key_lim2 \
      key_lim3 \
+     key_mpp \
      key_mpp_dyndist \
      key_mpp_mpi \
@@ -297,5 +298,7 @@
 		$(MODEL_LIB)(model_tam.o)\
 		$(MODEL_LIB)(mpp_tam.o)\
+		$(MODEL_LIB)(mppallgatherv.o)\
 		$(MODEL_LIB)(mppini.o)\
+		$(MODEL_LIB)(mppsum.o)\
 		$(MODEL_LIB)(mppsumtam.o)\
 		$(MODEL_LIB)(nemotam.o)\
@@ -369,4 +372,5 @@
 		$(MODEL_LIB)(stpctl_tam.o)\
 		$(MODEL_LIB)(tamctl.o)\
+		$(MODEL_LIB)(tamtrj.o)\
 		$(MODEL_LIB)(tamtst.o)\
 		$(MODEL_LIB)(traadv.o)\
@@ -455,5 +459,5 @@
 		@if [ ! -d ../../../lib/ocetam ] ; then mkdir ../../../lib/ocetam ; fi
 
-$(EXEC_BIN) :	libioipsl firstagrif mpiagrif key keyverif src_file_list libagrif $(MODEL_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) agrif2model.o model_tam.o
+$(EXEC_BIN) :	libioipsl firstagrif mpiagrif key keyverif  src_file_list libagrif $(MODEL_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) agrif2model.o model_tam.o
 ifeq ($(AGRIF),use)
 		$(F_L) $(L_X) -o $(EXEC_BIN) model_tam.o agrif2model.o $(SXMODEL_LIB) $(OASISMPI2_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
@@ -500,6 +504,6 @@
 
 # Main program
-model_tam.o :	model_tam.f90
-		@$(F_C) $(F_O) -c model_tam.f90
+model_tam.o :	model_tam.F90
+		@$(F_C) $(F_O) -c model_tam.F90
 
 # if the make script is stopped, one doesn't destroy library
@@ -660,5 +664,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -711,5 +715,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -759,5 +763,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -812,5 +816,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -863,5 +867,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -903,5 +907,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -929,5 +933,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -963,5 +967,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -994,5 +998,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1036,5 +1040,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -1093,5 +1097,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -1146,5 +1150,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1187,5 +1191,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	par_kind.F90 \
@@ -1237,5 +1241,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1284,5 +1288,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -1338,5 +1342,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1375,5 +1379,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1408,5 +1412,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1448,5 +1452,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1481,5 +1485,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1511,5 +1515,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1536,5 +1540,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1575,5 +1579,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1608,5 +1612,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1628,5 +1632,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1655,5 +1659,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1696,5 +1700,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1740,5 +1744,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1795,5 +1799,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1918,5 +1922,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -2001,5 +2005,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	oce.F90 \
@@ -2048,5 +2052,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	obc_par.F90 \
@@ -2119,5 +2123,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -2177,5 +2181,5 @@
 	iom.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -2215,5 +2219,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -2249,5 +2253,5 @@
 	iom.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -2282,5 +2286,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -2307,5 +2311,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -2354,5 +2358,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -2398,5 +2402,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -2435,4 +2439,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(mpp_tam.o) \
+	$(MODEL_LIB)(mppsum.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
@@ -2441,4 +2446,5 @@
 	lib_mpp.F90 \
 	mpp_tam.F90 \
+	mppsum.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -2476,5 +2482,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -2526,5 +2532,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -2569,5 +2575,5 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -2630,5 +2636,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -2730,7 +2736,9 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbc_oce_tam.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
@@ -2784,5 +2792,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -2802,7 +2810,9 @@
 	sbc_oce.F90 \
 	sbc_oce_tam.F90 \
+	sol_oce.F90 \
 	sol_oce_tam.F90 \
 	solisl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	trc_oce_tam.F90 \
@@ -2834,4 +2844,5 @@
 	$(MODEL_LIB)(par_tlm.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trj_tam.o) \
 	$(MODEL_LIB)(tstool_tam.o) \
@@ -2855,4 +2866,5 @@
 	par_tlm.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trj_tam.F90 \
 	tstool_tam.F90 \
@@ -2900,5 +2912,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -2954,5 +2966,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -2993,5 +3005,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3083,7 +3095,9 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbc_oce_tam.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
@@ -3135,5 +3149,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -3154,7 +3168,9 @@
 	sbc_oce.F90 \
 	sbc_oce_tam.F90 \
+	sol_oce.F90 \
 	sol_oce_tam.F90 \
 	solisl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	trc_oce_tam.F90 \
@@ -3187,4 +3203,5 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trj_tam.o) \
 	$(MODEL_LIB)(tstool_tam.o) \
@@ -3209,4 +3226,5 @@
 	phycst.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trj_tam.F90 \
 	tstool_tam.F90 \
@@ -3241,5 +3259,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3274,5 +3292,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -3324,5 +3342,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3398,5 +3416,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3444,5 +3462,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3498,5 +3516,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3567,5 +3585,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3637,5 +3655,5 @@
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3678,5 +3696,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -3727,5 +3745,5 @@
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -3795,5 +3813,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -3851,5 +3869,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -3890,5 +3908,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -3987,5 +4005,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -4083,5 +4101,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -4178,5 +4196,5 @@
 	lib_feti.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -4297,4 +4315,5 @@
 	$(MODEL_LIB)(lib_mpp_tam.o) \
 	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(mppallgatherv.o) \
 	$(MODEL_LIB)(mppini.o) \
 	$(MODEL_LIB)(mppsumtam.o) \
@@ -4326,4 +4345,5 @@
 	$(MODEL_LIB)(solver.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
@@ -4378,5 +4398,6 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
+	mppallgatherv.F90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -4408,4 +4429,5 @@
 	solver.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	trc_oce_tam.F90 \
@@ -4430,4 +4452,5 @@
 	$(MODEL_LIB)(lbclnk_tam.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(mppsum.o) \
 	$(MODEL_LIB)(obc_oce.o) \
 	$(MODEL_LIB)(obcdyn_tam.o) \
@@ -4450,4 +4473,5 @@
 	$(MODEL_LIB)(solver.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trj_tam.o) \
 	$(MODEL_LIB)(tstool_tam.o) \
@@ -4462,4 +4486,5 @@
 	lbclnk_tam.F90 \
 	lib_mpp.F90 \
+	mppsum.F90 \
 	obc_oce.F90 \
 	obcdyn_tam.F90 \
@@ -4482,4 +4507,5 @@
 	solver.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trj_tam.F90 \
 	tstool_tam.F90 \
@@ -4538,5 +4564,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -4607,4 +4633,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(mppsum.o) \
 	$(MODEL_LIB)(obc_oce.o) \
 	$(MODEL_LIB)(obc_par.o) \
@@ -4628,4 +4655,5 @@
 	$(MODEL_LIB)(solver.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trj_tam.o) \
 	$(MODEL_LIB)(tstool_tam.o) \
@@ -4640,5 +4668,6 @@
 	lbclnk_tam.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
+	mppsum.F90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -4662,4 +4691,5 @@
 	solver.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trj_tam.F90 \
 	tstool_tam.F90 \
@@ -4734,5 +4764,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -4828,5 +4858,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -4897,5 +4927,5 @@
 	lbclnk.F90 \
 	lbclnk_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	obc_oce.F90 \
@@ -4958,5 +4988,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -4994,5 +5024,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5050,5 +5080,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -5105,5 +5135,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5128,5 +5158,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5143,5 +5173,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5168,5 +5198,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5222,5 +5252,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -5286,5 +5316,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -5357,7 +5387,9 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbc_oce_tam.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
@@ -5404,5 +5436,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -5421,7 +5453,9 @@
 	sbc_oce.F90 \
 	sbc_oce_tam.F90 \
+	sol_oce.F90 \
 	sol_oce_tam.F90 \
 	solisl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	trc_oce_tam.F90 \
@@ -5449,4 +5483,5 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trj_tam.o) \
 	$(MODEL_LIB)(tstool_tam.o) \
@@ -5467,4 +5502,5 @@
 	phycst.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trj_tam.F90 \
 	tstool_tam.F90 \
@@ -5498,5 +5534,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5521,5 +5557,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5581,5 +5617,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5607,5 +5643,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5636,5 +5672,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5668,5 +5704,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -5704,5 +5740,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -5728,4 +5764,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(mpp_tam.o) \
+	$(MODEL_LIB)(mppsum.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
@@ -5734,4 +5771,5 @@
 	lib_mpp.F90 \
 	mpp_tam.F90 \
+	mppsum.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5760,5 +5798,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5779,5 +5817,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -5809,5 +5847,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -5831,5 +5869,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -5855,5 +5893,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -5951,5 +5989,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -6102,5 +6140,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -6204,4 +6242,5 @@
 	$(MODEL_LIB)(sbc_oce_tam.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(trj_tam.o) \
@@ -6226,5 +6265,5 @@
 	lbclnk.F90 \
 	lbclnk_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	obc_oce.F90 \
@@ -6242,4 +6281,5 @@
 	sbc_oce_tam.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trdmld_oce.F90 \
 	trj_tam.F90 \
@@ -6293,5 +6333,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -6316,5 +6356,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -6349,5 +6389,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -6419,5 +6459,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -6464,5 +6504,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -6512,5 +6552,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -6567,5 +6607,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -6585,5 +6625,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -6631,4 +6671,5 @@
 	$(MODEL_LIB)(step.o) \
 	$(MODEL_LIB)(step_c1d.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trcini.o) \
 	$(MODEL_LIB)(trdmod.o) \
@@ -6666,4 +6707,5 @@
 	step.F90 \
 	step_c1d.F90 \
+	tamtrj.F90 \
 	trcini.F90 \
 	trdmod.F90 \
@@ -6692,4 +6734,5 @@
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tamtst.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
@@ -6712,4 +6755,5 @@
 	sol_oce_tam.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tamtst.F90 \
 	trc_oce_tam.F90 \
@@ -6738,4 +6782,19 @@
 	KEY_CPP \
 	mpp_tam.F90
+$(MODEL_LIB)(mppallgatherv.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	par_kind.F90 \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	lib_mpp.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	KEY_CPP \
+	mppallgatherv.F90
 $(MODEL_LIB)(mppini.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6746,5 +6805,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -6764,4 +6823,31 @@
 	KEY_CPP \
 	mppini.F90
+$(MODEL_LIB)(mppsum.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(mppallgatherv.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	mppallgatherv.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	KEY_CPP \
+	mppsum.F90
 $(MODEL_LIB)(mppsumtam.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6769,10 +6855,12 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
+	$(MODEL_LIB)(mppallgatherv.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	mppallgatherv.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -6781,4 +6869,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(mpp_tam.o) \
+	$(MODEL_LIB)(mppsum.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
@@ -6787,4 +6876,5 @@
 	lib_mpp.F90 \
 	mpp_tam.F90 \
+	mppsum.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -6867,7 +6957,9 @@
 	$(MODEL_LIB)(step_tam.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traadv_tam.o) \
 	$(MODEL_LIB)(trabbc.o) \
 	$(MODEL_LIB)(trabbc_tam.o) \
+	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(tradmp_tam.o) \
 	$(MODEL_LIB)(traldf_tam.o) \
@@ -6888,4 +6980,5 @@
 	$(MODEL_LIB)(zdfini.o) \
 	$(MODEL_LIB)(zdfkpp.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdfric.o) \
 	$(MODEL_LIB)(zdftke.o) \
@@ -6939,5 +7032,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	obc_oce.F90 \
@@ -6967,7 +7060,9 @@
 	step_tam.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traadv_tam.F90 \
 	trabbc.F90 \
 	trabbc_tam.F90 \
+	tradmp.F90 \
 	tradmp_tam.F90 \
 	traldf_tam.F90 \
@@ -6988,4 +7083,5 @@
 	zdfini.F90 \
 	zdfkpp.F90 \
+	zdfmxl.F90 \
 	zdfric.F90 \
 	zdftke.F90 \
@@ -7009,4 +7105,5 @@
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tamtst.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
@@ -7029,4 +7126,5 @@
 	sol_oce_tam.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tamtst.F90 \
 	trc_oce_tam.F90 \
@@ -7084,5 +7182,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	par_kind.F90 \
@@ -7130,5 +7228,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -7179,5 +7277,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -7220,5 +7318,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -7273,5 +7371,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	obc_oce.F90 \
@@ -7379,5 +7477,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -7423,5 +7521,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	oce.F90 \
@@ -7462,5 +7560,5 @@
 	iom.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	oce.F90 \
@@ -7500,5 +7598,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	oce.F90 \
@@ -7534,5 +7632,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	oce.F90 \
@@ -7570,5 +7668,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	oce.F90 \
@@ -7603,5 +7701,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	par_kind.F90 \
@@ -7716,4 +7814,5 @@
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(stpctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traadv.o) \
 	$(MODEL_LIB)(trabbc.o) \
@@ -7797,5 +7896,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oasis4_date.F90 \
 	obc_oce.F90 \
@@ -7819,4 +7918,5 @@
 	solisl.F90 \
 	stpctl.F90 \
+	tamtrj.F90 \
 	traadv.F90 \
 	trabbc.F90 \
@@ -7878,4 +7978,5 @@
 	$(MODEL_LIB)(step.o) \
 	$(MODEL_LIB)(step_c1d.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trcini.o) \
 	$(MODEL_LIB)(trdmod.o) \
@@ -7913,4 +8014,5 @@
 	step.F90 \
 	step_c1d.F90 \
+	tamtrj.F90 \
 	trcini.F90 \
 	trdmod.F90 \
@@ -7985,4 +8087,6 @@
 	$(MODEL_LIB)(step_c1d.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
+	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(tranpc.o) \
 	$(MODEL_LIB)(trcini.o) \
@@ -8001,4 +8105,5 @@
 	$(MODEL_LIB)(zdfini.o) \
 	$(MODEL_LIB)(zdfkpp.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdfric.o) \
 	$(MODEL_LIB)(zdftke.o) \
@@ -8046,5 +8151,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	oasis4_date.F90 \
@@ -8068,4 +8173,6 @@
 	step_c1d.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
+	tradmp.F90 \
 	tranpc.F90 \
 	trcini.F90 \
@@ -8084,4 +8191,5 @@
 	zdfini.F90 \
 	zdfkpp.F90 \
+	zdfmxl.F90 \
 	zdfric.F90 \
 	zdftke.F90 \
@@ -8121,4 +8229,5 @@
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
 	$(MODEL_LIB)(trcini.o) \
@@ -8161,4 +8270,5 @@
 	sol_oce_tam.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trc_oce_tam.F90 \
 	trcini.F90 \
@@ -8202,5 +8312,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -8228,5 +8338,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -8245,5 +8355,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -8259,5 +8369,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -8293,5 +8403,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -8361,5 +8471,5 @@
 	iom.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -8406,5 +8516,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	par_kind.F90 \
@@ -8463,5 +8573,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -8527,5 +8637,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -8592,5 +8702,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oasis4_date.F90 \
 	oce.F90 \
@@ -8658,5 +8768,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -8724,5 +8834,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -8771,5 +8881,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	par_kind.F90 \
@@ -8826,5 +8936,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -8888,5 +8998,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -8973,5 +9083,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -9077,5 +9187,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -9173,5 +9283,5 @@
 	lbclnk_tam.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	oce_tam.F90 \
@@ -9243,5 +9353,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -9302,5 +9412,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -9352,5 +9462,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	par_kind.F90 \
@@ -9417,5 +9527,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -9472,5 +9582,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -9531,5 +9641,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -9578,5 +9688,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -9610,5 +9720,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	oce.F90 \
@@ -9652,5 +9762,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_par.F90 \
 	oce.F90 \
@@ -9688,5 +9798,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -9711,5 +9821,5 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -9730,5 +9840,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -9775,5 +9885,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mpp_tam.F90 \
 	mppsumtam.F90 \
@@ -9835,5 +9945,5 @@
 	lib_feti.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -9966,4 +10076,5 @@
 	$(MODEL_LIB)(traadv_ubs.o) \
 	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(traldf_bilap.o) \
 	$(MODEL_LIB)(traldf_bilapg.o) \
@@ -10042,5 +10153,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obccli.F90 \
@@ -10082,4 +10193,5 @@
 	traadv_ubs.F90 \
 	trabbl.F90 \
+	tradmp.F90 \
 	traldf_bilap.F90 \
 	traldf_bilapg.F90 \
@@ -10152,4 +10264,5 @@
 	$(MODEL_LIB)(sbcrnf.o) \
 	$(MODEL_LIB)(stpctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traadv.o) \
 	$(MODEL_LIB)(trabbc.o) \
@@ -10227,4 +10340,5 @@
 	sbcrnf.F90 \
 	stpctl.F90 \
+	tamtrj.F90 \
 	traadv.F90 \
 	trabbc.F90 \
@@ -10356,5 +10470,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obctra.F90 \
 	oce.F90 \
@@ -10573,4 +10687,5 @@
 	$(MODEL_LIB)(stpctl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traadv.o) \
 	$(MODEL_LIB)(traadv_cen2_tam.o) \
@@ -10688,5 +10803,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -10727,4 +10842,5 @@
 	stpctl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traadv.F90 \
 	traadv_cen2_tam.F90 \
@@ -10811,4 +10927,5 @@
 	$(MODEL_LIB)(stpctl_tam.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traadv_tam.o) \
 	$(MODEL_LIB)(trabbc.o) \
@@ -10872,4 +10989,5 @@
 	stpctl_tam.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traadv_tam.F90 \
 	trabbc.F90 \
@@ -10937,5 +11055,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -10990,5 +11108,5 @@
 	iom.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -11022,4 +11140,79 @@
 	par_kind.F90 \
 	tamctl.F90
+$(MODEL_LIB)(tamtrj.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtatem.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(iom_def.o) \
+	$(MODEL_LIB)(iom_ioipsl.o) \
+	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(ldfdyn_oce.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(trdmod.o) \
+	$(MODEL_LIB)(trdmod_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	dom_oce.F90 \
+	dtasal.F90 \
+	dtatem.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfdyn_oce.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	restart.F90 \
+	trdmod.F90 \
+	trdmod_oce.F90 \
+	zdf_oce.F90 \
+	zdfmxl.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sol_oce.o) \
+	$(MODEL_LIB)(tradmp.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	daymod.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	oce.F90 \
+	sbc_oce.F90 \
+	sol_oce.F90 \
+	tradmp.F90 \
+	zdf_oce.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	KEY_CPP \
+	tamtrj.F90
 $(MODEL_LIB)(tamtst.o) :	\
 	$(MODEL_LIB)(bdy_oce.o) \
@@ -11104,4 +11297,5 @@
 	$(MODEL_LIB)(stpctl_tam.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traadv_cen2_tam.o) \
 	$(MODEL_LIB)(traadv_eiv_tam.o) \
@@ -11189,5 +11383,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	obc_par.F90 \
@@ -11220,4 +11414,5 @@
 	stpctl_tam.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traadv_cen2_tam.F90 \
 	traadv_eiv_tam.F90 \
@@ -11364,5 +11559,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -11461,5 +11656,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -11583,7 +11778,9 @@
 	$(MODEL_LIB)(sbcmod.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(tradmp.o) \
@@ -11632,5 +11829,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -11651,7 +11848,9 @@
 	sbcmod.F90 \
 	sbcrnf.F90 \
+	sol_oce.F90 \
 	sol_oce_tam.F90 \
 	solisl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trabbl.F90 \
 	tradmp.F90 \
@@ -11680,4 +11879,5 @@
 	$(MODEL_LIB)(paresp.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traadv_cen2.o) \
 	$(MODEL_LIB)(trj_tam.o) \
@@ -11699,4 +11899,5 @@
 	paresp.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traadv_cen2.F90 \
 	trj_tam.F90 \
@@ -11726,5 +11927,5 @@
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -11797,5 +11998,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -11874,5 +12075,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -11951,5 +12152,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12013,4 +12214,5 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traadv_cen2.o) \
 	$(MODEL_LIB)(trdmod.o) \
@@ -12029,5 +12231,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	oce_tam.F90 \
@@ -12039,4 +12241,5 @@
 	prtctl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traadv_cen2.F90 \
 	trdmod.F90 \
@@ -12107,5 +12310,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12178,5 +12381,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12249,5 +12452,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12301,5 +12504,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12342,5 +12545,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12421,5 +12624,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12502,5 +12705,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -12594,5 +12797,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12690,5 +12893,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12767,5 +12970,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12843,5 +13046,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -12913,5 +13116,5 @@
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -12979,5 +13182,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -13074,8 +13277,10 @@
 	$(MODEL_LIB)(sbcmod.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(stpctl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(tranpc.o) \
@@ -13140,5 +13345,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -13159,8 +13364,10 @@
 	sbcmod.F90 \
 	sbcrnf.F90 \
+	sol_oce.F90 \
 	sol_oce_tam.F90 \
 	solisl.F90 \
 	stpctl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	tranpc.F90 \
@@ -13203,4 +13410,5 @@
 	$(MODEL_LIB)(step_c1d.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traldf_lap.o) \
 	$(MODEL_LIB)(trj_tam.o) \
@@ -13225,4 +13433,5 @@
 	step_c1d.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traldf_lap.F90 \
 	trj_tam.F90 \
@@ -13259,4 +13468,5 @@
 	$(MODEL_LIB)(step_c1d.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traldf_lap.o) \
 	$(MODEL_LIB)(trj_tam.o) \
@@ -13276,5 +13486,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	oce_tam.F90 \
@@ -13288,4 +13498,5 @@
 	step_c1d.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traldf_lap.F90 \
 	trj_tam.F90 \
@@ -13336,5 +13547,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -13397,5 +13608,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -13476,5 +13687,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	obc_oce.F90 \
@@ -13543,5 +13754,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -13606,5 +13817,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	oce.F90 \
@@ -13678,5 +13889,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -13769,7 +13980,9 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbc_oce_tam.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(traqsr.o) \
@@ -13818,5 +14031,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -13836,7 +14049,9 @@
 	sbc_oce.F90 \
 	sbc_oce_tam.F90 \
+	sol_oce.F90 \
 	sol_oce_tam.F90 \
 	solisl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	traqsr.F90 \
@@ -13870,4 +14085,5 @@
 	$(MODEL_LIB)(sbc_oce_tam.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trasbc.o) \
@@ -13893,4 +14109,5 @@
 	sbc_oce_tam.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	traqsr.F90 \
 	trasbc.F90 \
@@ -13949,5 +14166,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -14038,5 +14255,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -14101,5 +14318,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	obc_par.F90 \
@@ -14175,5 +14392,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -14275,7 +14492,9 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbc_oce_tam.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
@@ -14323,5 +14542,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -14340,7 +14559,9 @@
 	sbc_oce.F90 \
 	sbc_oce_tam.F90 \
+	sol_oce.F90 \
 	sol_oce_tam.F90 \
 	solisl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	trc_oce_tam.F90 \
@@ -14369,4 +14590,5 @@
 	$(MODEL_LIB)(paresp.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trazdf_imp.o) \
 	$(MODEL_LIB)(trj_tam.o) \
@@ -14390,4 +14612,5 @@
 	paresp.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trazdf_imp.F90 \
 	trj_tam.F90 \
@@ -14429,4 +14652,5 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trazdf_exp.o) \
 	$(MODEL_LIB)(trazdf_imp.o) \
@@ -14450,5 +14674,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -14464,4 +14688,5 @@
 	sbc_oce.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trazdf_exp.F90 \
 	trazdf_imp.F90 \
@@ -14536,5 +14761,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -14613,5 +14838,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -14708,5 +14933,5 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -14771,5 +14996,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -14845,5 +15070,5 @@
 	iom.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -14893,4 +15118,5 @@
 $(MODEL_LIB)(trj_tam.o) :	\
 	$(MODEL_LIB)(bdy_oce.o) \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(domvvl.o) \
@@ -14905,4 +15131,5 @@
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfdyn_oce.o) \
+	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -14915,9 +15142,13 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sol_oce.o) \
+	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
 	bdy_oce.F90 \
+	daymod.F90 \
 	dom_oce.F90 \
 	domvvl.F90 \
@@ -14932,7 +15163,8 @@
 	lbclnk.F90 \
 	ldfdyn_oce.F90 \
+	ldfslp.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	obc_oce.F90 \
 	oce.F90 \
@@ -14942,7 +15174,10 @@
 	prtctl.F90 \
 	sbc_oce.F90 \
+	sol_oce.F90 \
+	tradmp.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
 	zdf_oce.F90 \
+	zdfddm.F90 \
 	zdfmxl.F90 \
 	$(MODEL_LIB)(divcur.o) \
@@ -14955,4 +15190,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(wzvmod.o) \
@@ -14969,4 +15205,5 @@
 	par_oce.F90 \
 	sbc_oce.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	wzvmod.F90 \
@@ -14990,5 +15227,5 @@
 	iom.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	par_kind.F90 \
@@ -15031,5 +15268,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15093,5 +15330,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppsumtam.F90 \
 	obc_oce.F90 \
@@ -15160,5 +15397,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15190,5 +15427,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15230,5 +15467,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15287,5 +15524,5 @@
 	ldfdyn_oce.F90 \
 	ldftra_oce.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15353,5 +15590,5 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15410,5 +15647,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15452,5 +15689,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -15479,5 +15716,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15536,5 +15773,5 @@
 	lbclnk.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15593,5 +15830,5 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -15671,7 +15908,9 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbc_oce_tam.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(sol_oce_tam.o) \
 	$(MODEL_LIB)(solisl.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(tradmp.o) \
 	$(MODEL_LIB)(trc_oce_tam.o) \
@@ -15722,5 +15961,5 @@
 	lib_mpp.F90 \
 	lib_mpp_tam.F90 \
-	lib_print.F90 \
+	lib_print.f90 \
 	mppini.F90 \
 	mppsumtam.F90 \
@@ -15741,7 +15980,9 @@
 	sbc_oce.F90 \
 	sbc_oce_tam.F90 \
+	sol_oce.F90 \
 	sol_oce_tam.F90 \
 	solisl.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	tradmp.F90 \
 	trc_oce_tam.F90 \
@@ -15773,4 +16014,5 @@
 	$(MODEL_LIB)(par_tlm.o) \
 	$(MODEL_LIB)(tamctl.o) \
+	$(MODEL_LIB)(tamtrj.o) \
 	$(MODEL_LIB)(trj_tam.o) \
 	$(MODEL_LIB)(tstool_tam.o) \
@@ -15793,4 +16035,5 @@
 	par_tlm.F90 \
 	tamctl.F90 \
+	tamtrj.F90 \
 	trj_tam.F90 \
 	tstool_tam.F90 \
@@ -15848,18 +16091,5 @@
 	echo "   use OPA_SRC files"                ; \
 	    ln -sf ../../NEMO/OPA_SRC/*.[Ffh]90          . ; \
-	    ln -sf ../../NEMO/OPA_SRC/DYN/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/TRA/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/TRD/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/DIA/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/DOM/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/OBC/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/FLO/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/LDF/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/ZDF/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/SOL/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/DTA/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/SBC/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/IOM/*.[Ffh]90      . ; \
-	    ln -sf ../../NEMO/OPA_SRC/BDY/*.[Ffh]90      . ; \
+	    ln -sf ../../NEMO/OPA_SRC/*/*.[Ffh]90      . ; \
 	fi 
 	@check=`grep OPATAM_SRC .config`              ; \
@@ -15867,23 +16097,15 @@
 	echo "   use OPATAM_SRC files"                ; \
 	    ln -sf ../OPATAM_SRC/*.[Ffh]90          . ; \
-	    ln -sf ../OPATAM_SRC/DYN/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/TRA/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/TRD/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/DIA/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/DOM/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/OBC/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/FLO/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/LDF/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/ZDF/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/SOL/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/DTA/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/SBC/*.[Ffh]90      . ; \
-	    ln -sf ../OPATAM_SRC/IOM/*.[Ffh]90      . ; \
-      ln -sf ../OPATAM_SRC/BDY/*.[Ffh]90      . ; \
-  fi 
+	    ln -sf ../OPATAM_SRC/*/*.[Ffh]90      . ; \
+	fi 
+	@check=`grep LIM_SRC_2 .config`              ; \
+	if [ -n "$$check" ] ; then                   \
+	echo "   use LIM_SRC_2 files"                ; \
+	    ln -sf ../../NEMO/LIM_SRC_2/*.[Ffh]90          . ; \
+	fi 
 	@check=`grep C1D_SRC .config`              ; \
 	if [ -n "$$check" ] ; then                   \
 	echo "   use C1D_SRC files"                ; \
-	    ln -sf ../C1D_SRC/*.[Ffh]90          . ; \
+	    ln -sf ../../NEMO/C1D_SRC/*.[Ffh]90          . ; \
 	fi 
 	@\$(RM) tmplist
Index: /branches/TAM_V3_0/NEMOTAM/OPATAM_SRC/TRA/traqsr_tam.F90
===================================================================
--- /branches/TAM_V3_0/NEMOTAM/OPATAM_SRC/TRA/traqsr_tam.F90	(revision 1946)
+++ /branches/TAM_V3_0/NEMOTAM/OPATAM_SRC/TRA/traqsr_tam.F90	(revision 1947)
@@ -277,5 +277,6 @@
                   DO ji = fs_2, fs_jpim1   ! vector opt.
                      ! qsr trend
-                     qsr_ad(ji,jj) = qsr_ad(ji,jj) + ta_ad(ji,jj,jk) * zc0 * ( gdsr(jk)*tmask(ji,jj,jk) - gdsr(jk+1)*tmask(ji,jj,jk+1) )
+                     qsr_ad(ji,jj) = qsr_ad(ji,jj) + ta_ad(ji,jj,jk) * zc0   &
+                                   &   * ( gdsr(jk)*tmask(ji,jj,jk) - gdsr(jk+1)*tmask(ji,jj,jk+1) )
                   END DO
                END DO
Index: /branches/TAM_V3_0/NEMOTAM/OPATAM_SRC/opatam_tst_ini.F90
===================================================================
--- /branches/TAM_V3_0/NEMOTAM/OPATAM_SRC/opatam_tst_ini.F90	(revision 1946)
+++ /branches/TAM_V3_0/NEMOTAM/OPATAM_SRC/opatam_tst_ini.F90	(revision 1947)
@@ -349,5 +349,5 @@
       IF (lwp) THEN
          ! Diagnostic file for tangent test
-         WRITE(file_out,FMT="('tan_diag.output_',I4.4)") , narea-1
+!         WRITE(file_out,FMT="('tan_diag.output_',I4.4)") , narea-1
          CALL ctlopn( numtan, file_out, 'UNKNOWN', 'FORMATTED',   &
             &         'SEQUENTIAL', 1, numtan, .FALSE., 1 )
@@ -363,5 +363,5 @@
       IF (lwp) THEN
          ! Diagnostic file for tangent test (scalar sampling)
-         WRITE(file_out,FMT="('tan_diag_sc.output_',I4.4)") , narea-1
+!         WRITE(file_out,FMT="('tan_diag_sc.output_',I4.4)") , narea-1
          CALL ctlopn( numtan_sc, file_out, 'UNKNOWN', 'FORMATTED',   &
             &         'SEQUENTIAL', 1, numtan_sc, .FALSE., 1 )
Index: /branches/TAM_V3_0/UTIL/fait_AA_make_tam
===================================================================
--- /branches/TAM_V3_0/UTIL/fait_AA_make_tam	(revision 1946)
+++ /branches/TAM_V3_0/UTIL/fait_AA_make_tam	(revision 1947)
@@ -66,5 +66,5 @@
 		@if [ ! -d ../../../lib/ocetam ] ; then mkdir ../../../lib/ocetam ; fi
 
-\$(EXEC_BIN) :	libioipsl firstagrif mpiagrif key keyverif src_file_list libagrif \$(MODEL_LIB) \$(IOIPSL_LIB) \$(AGRIF_LIB) agrif2model.o model_tam.o
+\$(EXEC_BIN) :	libioipsl firstagrif mpiagrif key keyverif  src_file_list libagrif \$(MODEL_LIB) \$(IOIPSL_LIB) \$(AGRIF_LIB) agrif2model.o model_tam.o
 ifeq (\$(AGRIF),use)
 		\$(F_L) \$(L_X) -o \$(EXEC_BIN) model_tam.o agrif2model.o \$(SXMODEL_LIB) \$(OASISMPI2_LIB) \$(IOIPSL_LIB) \$(AGRIF_LIB) \$(NCDF_LIB) \$(LIBMPI) \$(LIBMP)
@@ -111,6 +111,6 @@
 
 # Main program
-model_tam.o :	model_tam.f90
-		@\$(F_C) \$(F_O) -c model_tam.f90
+model_tam.o :	model_tam.F90
+		@\$(F_C) \$(F_O) -c model_tam.F90
 
 # if the make script is stopped, one doesn't destroy library
@@ -601,18 +601,5 @@
 echo '	echo "   use OPA_SRC files"                ; \'
 echo '	    ln -sf ../../NEMO/OPA_SRC/*.[Ffh]90          . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/DYN/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/TRA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/TRD/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/DIA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/DOM/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/OBC/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/FLO/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/LDF/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/ZDF/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/SOL/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/DTA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/SBC/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/IOM/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../../NEMO/OPA_SRC/BDY/*.[Ffh]90      . ; \'
+echo '	    ln -sf ../../NEMO/OPA_SRC/*/*.[Ffh]90      . ; \'
 echo '	fi '
 echo '	@check=`grep OPATAM_SRC .config`              ; \'
@@ -620,23 +607,15 @@
 echo '	echo "   use OPATAM_SRC files"                ; \'
 echo '	    ln -sf ../OPATAM_SRC/*.[Ffh]90          . ; \'
-echo '	    ln -sf ../OPATAM_SRC/DYN/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/TRA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/TRD/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/DIA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/DOM/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/OBC/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/FLO/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/LDF/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/ZDF/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/SOL/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/DTA/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/SBC/*.[Ffh]90      . ; \'
-echo '	    ln -sf ../OPATAM_SRC/IOM/*.[Ffh]90      . ; \'
-echo '      ln -sf ../OPATAM_SRC/BDY/*.[Ffh]90      . ; \'
-echo '  fi '
+echo '	    ln -sf ../OPATAM_SRC/*/*.[Ffh]90      . ; \'
+echo '	fi '
+echo '	@check=`grep LIM_SRC_2 .config`              ; \'
+echo '	if [ -n "$$check" ] ; then                   \'
+echo '	echo "   use LIM_SRC_2 files"                ; \'
+echo '	    ln -sf ../../NEMO/LIM_SRC_2/*.[Ffh]90          . ; \'
+echo '	fi '
 echo '	@check=`grep C1D_SRC .config`              ; \'
 echo '	if [ -n "$$check" ] ; then                   \'
 echo '	echo "   use C1D_SRC files"                ; \'
-echo '	    ln -sf ../C1D_SRC/*.[Ffh]90          . ; \'
+echo '	    ln -sf ../../NEMO/C1D_SRC/*.[Ffh]90          . ; \'
 echo '	fi '
 echo '	@\$(RM) tmplist'
Index: /branches/TAM_V3_0/UTIL/fait_config_tam
===================================================================
--- /branches/TAM_V3_0/UTIL/fait_config_tam	(revision 1946)
+++ /branches/TAM_V3_0/UTIL/fait_config_tam	(revision 1947)
@@ -92,5 +92,6 @@
       if [ "${TAB[i]}" = "C1D_SRC" ]; then
           ln -sf ../../NEMO/C1D_SRC/*.[Ffh]90 .
-
+      elif [ "${TAB[i]}" = "LIM_SRC_2" ]; then
+          ln -sf ../../NEMOLIM_SRC_2/*.[Ffh]90 . 
       fi
       let i=$i+1
